List news
GET
/v1/news/
const url = 'https://example.com/v1/news/?category=event';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/news/?category=event' \ --header 'Authorization: Bearer <token>'Return all published news items.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”active
boolean
category
string
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
title
required
string
description
string
category
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
string
image
string format: uri
banner_image
string format: uri
active
required
boolean
publish_at
A published news only becomes visible once this date is reached.
string format: date-time
expire_at
Once this date is reached, the news is no longer visible.
string format: date-time
cta_label
string
cta_url
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
string
read
required
boolean
my_reaction
required
string
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "category": "feature" } ]}